// E.I.S. / ESA modlib for COMRADE and HardScale
  //
  //// Description:
  // ----------------
  // Module used as token source - RESULT_READY is always true.
  //
  // Version History:
  // ----------------
  // 100826: BT: intial release

`timescale 1ns / 1ns

module always_op
         #(parameter
                      STATIC_CT            = 0,
                      START_CTRL_IN        = 0,
                      DATA_SPECULATION     = 0,
                      SPECULATION_BOUNDARY = 0,
                      PSEUDO_AT            = 0,
                      DEPTH                = 0,
                      QDEPTH               = 0,
                      TQDEPTH              = 0
          )(
           input  wire               RESET,
           input  wire               CLK,
           input  wire               CE,
           input  wire               CONTROLLER_CANCEL,
           output wire               TOKENS_EMPTY,
           output wire               CURRENT_TOKEN,
           output wire               CURRENT_TOKEN_PSEUDO,
           input  wire               START,
           output wire               START_ACK,
           input  wire               START_CTRL,
           output wire               START_CTRL_ACK,
           input  wire               START_CTRL_PSEUDO,
           input  wire               CANCEL,
           output wire               CANCEL_ACK,
           output wire               CANCEL_STATE,
           input  wire               CANCEL_STATE_ACK,
           output wire               CANCEL_STATE_CTRL,
           input  wire               CANCEL_STATE_CTRL_ACK,
           output wire               RESULT_READY,
           input  wire               RESULT_READY_ACK);

  wire  computation_counter = 1'b0; // for PDF counter obersvation only
  wire  cancel_counter = 1'b0;      // for PDF counter obersvation only

  assign TOKENS_EMPTY           = 1'b0;
  assign CURRENT_TOKEN          = 1'b0;
  assign CURRENT_TOKEN_PSEUDO   = 1'b0;
  assign START_ACK              = 1'b0;
  assign START_CTRL_ACK         = 1'b0;
  assign CANCEL_ACK          = 1'b0;
  assign CANCEL_STATE           = 1'b0;
  assign CANCEL_STATE_CTRL      = 1'b0;
  assign RESULT_READY           = 1'b1;
  

endmodule
