// ESA speculative memory system
  // LSQ
  //
  //// Description:
  // ----------------
  // distributed simple dualported RAM
  // WRITE is only possible on one of the ports
  // this requires 1 SLICE
  //
  // Version History:
  // ----------------
  // 100826: BT: intial release

`timescale 1ns / 1ns

module distr_sdpram
         #(parameter
                      ADDR_BITS  = 5,
                      DATA_WIDTH = 6
          )(
           input  wire                      CLK,
           input  wire  [(ADDR_BITS-1): 0]  ADDR_RD,
           input  wire  [(ADDR_BITS-1): 0]  ADDR_WR,
           input  wire  [(DATA_WIDTH-1):0]  DIN,
           input  wire                      WE,
           output wire  [(DATA_WIDTH-1):0]  DOUT);

  reg [DATA_WIDTH-1:0]  mem [((2 ** ADDR_BITS)-1):0];

  assign DOUT = mem[ADDR_RD];

  always @(posedge CLK) begin
    if(WE) begin
      mem[ADDR_WR] <= DIN;
    end
  end

endmodule
