// E.I.S. / ESA modlib for COMRADE and HardScale
  //
  //// Description:
  // ----------------
  // Module used for token forwarding (no data flow).
  //
  // Version History:
  // ----------------
  // 100826: BT: intial release

`timescale 1ns / 1ns

module pseudo_memaccess
         #(parameter
                      STATIC_CT            = 0,
                      START_CTRL_IN        = 0,
                      DATA_SPECULATION     = 0,
                      SPECULATION_BOUNDARY = 0,
                      PSEUDO_AT            = 0,
                      DEPTH                = 1,
                      TQDEPTH              = 0,
                      QDEPTH               = 0
          )(
           input  wire               RESET,
           input  wire               CLK,
           input  wire               CE,
           input  wire               CONTROLLER_CANCEL,
           output wire               TOKENS_EMPTY,
           output wire               CURRENT_TOKEN,
           output wire               CURRENT_TOKEN_PSEUDO,
           input  wire               START,
           output wire               START_ACK,
           input  wire               START_CTRL,
           output wire               START_CTRL_ACK,
           input  wire               START_CTRL_PSEUDO,
           input  wire               CANCEL,
           output wire               CANCEL_ACK,
           output wire               CANCEL_STATE,
           input  wire               CANCEL_STATE_ACK,
           output wire               CANCEL_STATE_CTRL,
           input  wire               CANCEL_STATE_CTRL_ACK,
           output wire               RESULT_READY,
           input  wire               RESULT_READY_ACK);

token_nop #(.STATIC_CT(STATIC_CT), .START_CTRL_IN(START_CTRL_IN), .SPECULATION_BOUNDARY(SPECULATION_BOUNDARY),
            .DEPTH(DEPTH), .QDEPTH(QDEPTH), .TQDEPTH(TQDEPTH), .PSEUDO_AT(PSEUDO_AT)) Token_nop(
  .RESET(RESET),
  .CLK(CLK),
  .CE(CE),
  .CONTROLLER_CANCEL(CONTROLLER_CANCEL),
  .TOKENS_EMPTY(TOKENS_EMPTY),
  .CURRENT_TOKEN(CURRENT_TOKEN),
  .CURRENT_TOKEN_PSEUDO(CURRENT_TOKEN_PSEUDO),
  .START(START),
  .START_ACK(START_ACK),
  .START_CTRL(START_CTRL),
  .START_CTRL_ACK(START_CTRL_ACK),
  .START_CTRL_PSEUDO(START_CTRL_PSEUDO),
  .CANCEL(CANCEL),
  .CANCEL_ACK(CANCEL_ACK),
  .CANCEL_STATE(CANCEL_STATE),
  .CANCEL_STATE_ACK(CANCEL_STATE_ACK),
  .CANCEL_STATE_CTRL(CANCEL_STATE_CTRL),
  .CANCEL_STATE_CTRL_ACK(CANCEL_STATE_CTRL_ACK),
  .RESULT_READY(RESULT_READY),
  .RESULT_READY_ACK(RESULT_READY_ACK)
);

endmodule
