// E.I.S. / ESA modlib for COMRADE and HardScale
  //
  // Description:
  // ----------------
  // Universal DEPTH, 1-bit WIDTH shift Register
  // to build the SRLC based FIFO
  //
  // Version History:
  // ----------------
  // 100826: BT: intial release

module srlcxxe
         #(parameter
                       DEPTH    = 16,
                       ADR_BITS = 4
          )(
           input  wire                   D,
           input  wire                   CLK,
           input  wire                   CE,
           input  wire [(ADR_BITS-1):0]  A,
           output                        Q);

  reg [(DEPTH-1):0] Q_INT;assign Q  = Q_INT[A];

  always @ (posedge CLK) begin
    if (CE) begin
      Q_INT <= {Q_INT[(DEPTH-2):0],D};
    end
  end

endmodule
